## liblinear 1.6+dfsg

=== Makefile ===
CXX ?= g++
CC ?= gcc
CFLAGS = -Wall -Wconversion -O3 -fPIC
LIBS =
SHVER = 1
#LIBS = -lblas

all: train predict

lib: linear.o tron.o
	$(CXX) -shared -dynamiclib linear.o tron.o -o liblinear.so.$(SHVER)

train: tron.o linear.o train.c
	$(CXX) $(CFLAGS) -o train train.c tron.o linear.o $(LIBS)

predict: tron.o linear.o predict.c
	$(CXX) $(CFLAGS) -o predict predict.c tron.o linear.o $(LIBS)

tron.o: tron.cpp tron.h
	$(CXX) $(CFLAGS) -c -o tron.o tron.cpp

linear.o: linear.cpp linear.h
	$(CXX) $(CFLAGS) -c -o linear.o linear.cpp

clean:
	cd matlab;	make clean
	rm -f *~ tron.o linear.o train predict liblinear.so.$(SHVER)
