=== debian/changelog ===
liblinear (1.6+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #585788)
  * debian/patches:
    - 0001-Properly-build-shared-and-static-libraries-programs
    - 0002-Move-Python-bindings-to-package-liblinear

 -- Christian Kastner <debian@kvr.at>  Fri, 09 Jul 2010 21:45:57 +0200
