=== debian/control ===
Source: liblinear
Priority: optional
Maintainer: Christian Kastner <debian@kvr.at>
Build-Depends:
    debhelper (>= 7.0.50~),
    python-support (>= 0.90),
    libblas-dev
Standards-Version: 3.9.0
Section: libs
Homepage: http://www.csie.ntu.edu.tw/~cjlin/liblinear/
Vcs-Git: git://scm.kvr.at/git/pkg-liblinear.git
Vcs-Browser: http://scm.kvr.at/git/?p=liblinear.git;a=summary

Package: liblinear-dev
Section: libdevel
Architecture: any
Depends:
    ${misc:Depends},
    liblinear1 (= ${binary:Version}),
    libblas-dev
Description: Development libraries and header files for LIBLINEAR
 LIBLINEAR is a library for learning linear classifiers for large scale
 applications. It supports Support Vector Machines (SVM) with L2 and L1
 loss, logistic regression, multi class classification and also Linear
 Programming Machines (L1-regularized SVMs). Its computational complexity
 scales linearly with the number of training examples making it one of
 the fastest SVM solvers around.
 .
 This package contains the header files and static libraries.

Package: liblinear1
Architecture: any
Depends:
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    liblinear-tools (= ${binary:Version})
Suggests:
    liblinear-dev (= ${binary:Version})
Description: Library for Large Linear Classification
 LIBLINEAR is a library for learning linear classifiers for large scale
 applications. It supports Support Vector Machines (SVM) with L2 and L1
 loss, logistic regression, multi class classification and also Linear
 Programming Machines (L1-regularized SVMs). Its computational complexity
 scales linearly with the number of training examples making it one of
 the fastest SVM solvers around. It also provides Python bindings.
 .
 This package contains the shared libraries.

Package: liblinear-dbg
Priority: extra
Section: debug
Architecture: any
Depends:
    ${misc:Depends},
    liblinear1 (= ${binary:Version}),
    liblinear-tools (= ${binary:Version})
Description: Debugging symbols for LIBLINEAR
 LIBLINEAR is a library for learning linear classifiers for large scale
 applications. It supports Support Vector Machines (SVM) with L2 and L1
 loss, logistic regression, multi class classification and also Linear
 Programming Machines (L1-regularized SVMs). Its computational complexity
 scales linearly with the number of training examples making it one of
 the fastest SVM solvers around. It also provides Python bindings.
 .
 This package contains the debugging symbols.

Package: liblinear-tools
Section: science
Architecture: any
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
    liblinear1 (= ${binary:Version})
Recommends:
    libsvm-tools
Description: Standalone applications for LIBLINEAR
 LIBLINEAR is a library for learning linear classifiers for large scale
 applications. It supports Support Vector Machines (SVM) with L2 and L1
 loss, logistic regression, multi class classification and also Linear
 Programming Machines (L1-regularized SVMs). Its computational complexity
 scales linearly with the number of training examples making it one of
 the fastest SVM solvers around. It also provides Python bindings.
 .
 This package contains the standalone applications.

Package: python-liblinear
Section: python
Architecture: any
Depends:
    ${python:Depends},
    ${misc:Depends},
    liblinear1 (= ${binary:Version})
Description: Python bindings for LIBLINEAR
 LIBLINEAR is a library for learning linear classifiers for large scale
 applications. It supports Support Vector Machines (SVM) with L2 and L1
 loss, logistic regression, multi class classification and also Linear
 Programming Machines (L1-regularized SVMs). Its computational complexity
 scales linearly with the number of training examples making it one of
 the fastest SVM solvers around. It also provides Python bindings.
 .
 This package contains the Python bindings.
