## liblinear 1.8%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: liblinear
 Priority: optional
-Maintainer: Christian Kastner <debian@kvr.at>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christian Kastner <debian@kvr.at>
+Uploaders: Chen-Tse Tsai <ctse.tsai@gmail.com>
 Build-Depends:
     debhelper (>= 7.0.50~),
-    python-support (>= 0.90),
+    python-all (>= 2.6.6-3~),
     libblas-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://www.csie.ntu.edu.tw/~cjlin/liblinear/
 Vcs-Git: git://scm.kvr.at/git/pkg-liblinear.git
-Vcs-Browser: http://scm.kvr.at/git/?p=liblinear.git;a=summary
+Vcs-Browser: http://scm.kvr.at/git/?p=pkg-liblinear.git;a=summary
+X-Python-Version: >= 2.5
 
 Package: liblinear-dev
 Section: libdevel
@@ -17,7 +20,7 @@
 Depends:
     ${misc:Depends},
     liblinear1 (= ${binary:Version}),
-    libblas-dev
+    libblas-dev | libatlas-dev | libblas-3gf.so
 Description: Development libraries and header files for LIBLINEAR
  LIBLINEAR is a library for learning linear classifiers for large scale
  applications. It supports Support Vector Machines (SVM) with L2 and L1
@@ -72,7 +75,7 @@
     ${shlibs:Depends},
     ${misc:Depends},
     liblinear1 (= ${binary:Version})
-Recommends:
+Suggests:
     libsvm-tools
 Description: Standalone applications for LIBLINEAR
  LIBLINEAR is a library for learning linear classifiers for large scale
