## liblinear 1.8+dfsg

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,6 @@
 CFLAGS = -Wall -Wconversion -O3 -fPIC
 LIBS =
 SHVER = 1
-#LIBS = -lblas
 
 all: train predict
 
@@ -22,6 +21,7 @@
 linear.o: linear.cpp linear.h
 	$(CXX) $(CFLAGS) -c -o linear.o linear.cpp
 
+
 clean:
 	cd matlab;	make clean
 	rm -f *~ tron.o linear.o train predict liblinear.so.$(SHVER)
