=== matlab/Makefile ===
--- 
+++ 
@@ -29,11 +29,11 @@
 
 binary: train.$(MEX_EXT) predict.$(MEX_EXT) libsvmread.$(MEX_EXT) libsvmwrite.$(MEX_EXT)
 
-train.$(MEX_EXT): train.c ../linear.h tron.o linear.o linear_model_matlab.o
-	$(MEX) $(MEX_OPTION) train.c tron.o linear.o linear_model_matlab.o
+train.$(MEX_EXT): train.c ../linear.h ../tron.o ../linear.o linear_model_matlab.o
+	$(MEX) $(MEX_OPTION) train.c ../tron.o ../linear.o linear_model_matlab.o
 
-predict.$(MEX_EXT): predict.c ../linear.h tron.o linear.o linear_model_matlab.o
-	$(MEX) $(MEX_OPTION) predict.c tron.o linear.o linear_model_matlab.o
+predict.$(MEX_EXT): predict.c ../linear.h ../tron.o ../linear.o linear_model_matlab.o
+	$(MEX) $(MEX_OPTION) predict.c ../tron.o ../linear.o linear_model_matlab.o
 
 libsvmread.$(MEX_EXT):	libsvmread.c
 	$(MEX) $(MEX_OPTION) libsvmread.c
@@ -44,11 +44,11 @@
 linear_model_matlab.o: linear_model_matlab.c ../linear.h
 	$(CXX) $(CFLAGS) -c linear_model_matlab.c
 
-linear.o: ../linear.cpp ../linear.h
-	$(CXX) $(CFLAGS) -c ../linear.cpp
+../linear.o:
+	cd ..; make linear.o
 
-tron.o: ../tron.cpp ../tron.h
-	$(CXX) $(CFLAGS) -c ../tron.cpp
+../tron.o: 
+	cd ..; make tron.o
 
 clean:
 	rm -f *~ *.o *.mex* *.obj
