=== python/Makefile ===
all = lib

lib:
	cd ..; make lib; cd -
