=== debian/control ===
--- 
+++ 
@@ -1,26 +1,29 @@
 Source: liblinear
+Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christian Kastner <debian@kvr.at>
+Maintainer: Christian Kastner <debian@kvr.at>
 Uploaders: Chen-Tse Tsai <ctse.tsai@gmail.com>
 Build-Depends:
-    debhelper (>= 7.0.50~),
-    python-all (>= 2.6.6-3~),
+    debhelper (>= 9),
+    dh-python,
+    python-all-dev (>= 2.6.6-3~),
+    python3-all-dev,
     libblas-dev
-Standards-Version: 3.9.2
-Section: libs
+Standards-Version: 3.9.6
 Homepage: http://www.csie.ntu.edu.tw/~cjlin/liblinear/
-Vcs-Git: git://scm.kvr.at/git/pkg-liblinear.git
-Vcs-Browser: http://scm.kvr.at/git/?p=pkg-liblinear.git;a=summary
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/liblinear.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/liblinear.git
 X-Python-Version: >= 2.5
+X-Python3-Version: >= 3.0
 
 Package: liblinear-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
     ${misc:Depends},
     liblinear1 (= ${binary:Version}),
-    libblas-dev | libatlas-dev | libblas-3gf.so
+    libblas-dev | libblas.so
 Description: Development libraries and header files for LIBLINEAR
  LIBLINEAR is a library for learning linear classifiers for large scale
  applications. It supports Support Vector Machines (SVM) with L2 and L1
@@ -33,12 +36,14 @@
 
 Package: liblinear1
 Architecture: any
+Multi-Arch: same
+Pre-Depends:
+    ${misc:Pre-Depends}
 Depends:
     ${shlibs:Depends},
     ${misc:Depends}
-Recommends:
-    liblinear-tools (= ${binary:Version})
 Suggests:
+    liblinear-tools (= ${binary:Version}),
     liblinear-dev (= ${binary:Version})
 Description: Library for Large Linear Classification
  LIBLINEAR is a library for learning linear classifiers for large scale
@@ -54,6 +59,7 @@
 Priority: extra
 Section: debug
 Architecture: any
+Multi-Arch: same
 Depends:
     ${misc:Depends},
     liblinear1 (= ${binary:Version}),
@@ -71,6 +77,7 @@
 Package: liblinear-tools
 Section: science
 Architecture: any
+Multi-Arch: foreign
 Depends:
     ${shlibs:Depends},
     ${misc:Depends},
@@ -89,11 +96,12 @@
 
 Package: python-liblinear
 Section: python
-Architecture: any
+Architecture: all
 Depends:
     ${python:Depends},
     ${misc:Depends},
-    liblinear1 (= ${binary:Version})
+    liblinear1 (>= ${binary:Version}),
+    liblinear1 (<< ${binary:Version}.1~)
 Description: Python bindings for LIBLINEAR
  LIBLINEAR is a library for learning linear classifiers for large scale
  applications. It supports Support Vector Machines (SVM) with L2 and L1
@@ -103,3 +111,21 @@
  the fastest SVM solvers around. It also provides Python bindings.
  .
  This package contains the Python bindings.
+
+Package: python3-liblinear
+Section: python
+Architecture: all
+Depends:
+    ${python3:Depends},
+    ${misc:Depends},
+    liblinear1 (>= ${binary:Version}),
+    liblinear1 (<< ${binary:Version}.1~)
+Description: Python 3 bindings for LIBLINEAR
+ LIBLINEAR is a library for learning linear classifiers for large scale
+ applications. It supports Support Vector Machines (SVM) with L2 and L1
+ loss, logistic regression, multi class classification and also Linear
+ Programming Machines (L1-regularized SVMs). Its computational complexity
+ scales linearly with the number of training examples making it one of
+ the fastest SVM solvers around. It also provides Python bindings.
+ .
+ This package contains the Python 3 bindings.
