=== debian/watch ===
version=3

# Upstream's versioning scheme is 1.5, 1.51, 1.52, etc., so we mangle
# it by adding a 0 to single-digit minor numbers, eg:
# 1.8 -> 1.80, but 1.81 -> 1.81

opts=\
dversionmangle=s/\+dfsg//;s/(\d\.\d)$/${1}0/ \
http://www.csie.ntu.edu.tw/~cjlin/liblinear/oldfiles/liblinear-(.*)\.zip
