=== debian/changelog ===
liblinear (2.1.0+dfsg-4) unstable; urgency=medium

  * Fix copy-pasta in Vcs-* URLs (pointed to wrong project)
  * Move Python build dependencies to Build-Depends-Indep.
    Fixes a FTCBFS. Thanks, Helmut Grohne! Closes: #913244
  * Drop d/*.dirs, the dh_* helpers create directories as needed
  * Move man pages from d/ to d/man
  * Drop cruft liblinear-dbg.lintian-overrides
  * Remove ancient d/python-liblinear.NEWS
    It's content applies to changes before oldoldstable
  * Add Rules-Requires-Root: no

 -- Christian Kastner <ckk@debian.org>  Fri, 15 Feb 2019 15:46:34 +0100

liblinear (2.1.0+dfsg-3) unstable; urgency=medium

  * Point Vcs-* to Salsa
  * Switch to https in Homepage field
  * Switch Build-Depends from debhelper to debhelper-compat
  * Bump Build-Depends for debhelper-compat to 12
  * Remove now obsolete d/compat
  * Drop ancient X-Python{,3}-Version
  * Bump Standards-Version to 4.3.0
  * d/copyright: Switch to https in Format and Source fields
  * d/rules:
    - Drop override_dh_compress
      examples/ aren't compressed in compat 12
    - Use DEB_VERSION_UPSTREAM from dpkg-pkg-info.mk instead of parsing
      d/changelog
    - Drop override_dh_strip
      It was only needed for the dbgsym migration
  * d/liblinear3.symbols: Add Build-Depends-Package field
  * d/tests: Rename ADTTMP to AUTOPKGTEST_TMP
  * gbp.conf:
    - Set upstream-branch to dfsg
    - gbp.conf: Add pristine-tar, sign-tags options
  * d/source/lintian-overrides:
    - Remove tag debian-watch-file-is-missing, it has been re-classified as
      experimental
    - Add tag debian-rules-contains-unnecessary-get-orig-source-target
      False-positive. We do call uscan, but we filter and modify files, so a
      simple File-Excluded in d/copyright won't suffice
  * d/watch:
    - Update to format version 4
    - Switch to https in URL

 -- Christian Kastner <ckk@debian.org>  Thu, 14 Feb 2019 20:13:53 +0100

liblinear (2.1.0+dfsg-2) unstable; urgency=medium

  * Drop package libocas-dbg in favor of automatic dbgsym packages, as per
    https://lists.debian.org/debian-devel/2015/12/msg00262.html
  * d/patches (updated):
    - Properly-build-shared-and-static-libraries-programs.
      Filter out -pie, -fpie, and -fPIE when building the shared library so
      that hardening=+all can be used
  * d/rules:
    - Add hardening=+all to DEB_BUILD_MAINT_OPTIONS
    - Improve version number parsing
  * d/copyright:
    - Bump copyright years
  * d/control:
    - Bump Standards-Version to 3.9.8 (no changes needed)
    - Switch to secure URIs in Vcs-* fields

 -- Christian Kastner <ckk@debian.org>  Sun, 24 Apr 2016 16:55:04 +0200

liblinear (2.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Versioning scheme has been changed to better work with upstream's
  * d/control:
    - Build-Depend on python*-all, not python*-all-dev. This was a remnant from
      when the package was still arch:any. Closes: #799231
    - Switch Vcs-Browser from gitweb to cgit
  * d/watch:
    - Redo mangling: Convert upstream version to x.y.z format
  * d/rules:
    - Update get-orig-source for new x.y.z versioning scheme
  * liblinear3:
    - Drop symbol l2r_l2_svc_fun::subXv. No SONAME bump, as this symbol wasn't
      visible outside of experimental
  * d/patches (updated):
    - Properly-build-shared-and-static-libraries-programs.patch
      Makes use of the new versioning scheme

 -- Christian Kastner <ckk@debian.org>  Sun, 01 Nov 2015 17:14:30 +0100

liblinear (2.01+dfsg-1) experimental; urgency=medium

  * New upstream release. Closes: #780528
  * The SONAME was bumped, so rename package liblinear1 to liblinear3
  * d/liblinear3.symbols:
    - Update for the new library version
  * d/control:
    - Switch Maintainer to my @debian.org address
  * d/watch:
    - Update to look for tarball instead of zip
  * d/rules:
    - Simplify upstream version extraction/utilization
    - Update get-orig-source target
    - Use xz compression when repacking the upstream source
    - Drop override_dh_makeshlibs which was only needed for lenny
  * d/copyright:
    - Bump copyright years
  * d/gbp.conf:
    - Update for xz compression
    - Update for patches without numbers
  * d/TODO:
    - Drop, as no open TODOs remain
  * d/liblinear-predict.1
    d/liblinear-train.1:
    - Update manpages
  * d/patches:
    - Drop patch numbers from .patch filenames
  * d/patches (updated):
    - Properly-build-shared-and-static-libraries-programs.patch
    - Improve-option-parsing.patch
  * d/patches (dropped):
    - Documenation-fixes.patch
      Included upstream

 -- Christian Kastner <ckk@debian.org>  Sat, 05 Sep 2015 22:23:51 +0200
