=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: liblinear
 Section: libs
 Priority: optional
-Maintainer: Christian Kastner <debian@kvr.at>
+Maintainer: Christian Kastner <ckk@debian.org>
 Uploaders: Chen-Tse Tsai <ctse.tsai@gmail.com>
 Build-Depends:
-    debhelper (>= 9),
+    debhelper-compat (= 12),
+    libblas-dev
+Build-Depends-Indep:
     dh-python,
-    python-all-dev (>= 2.6.6-3~),
-    python3-all-dev,
-    libblas-dev
-Standards-Version: 3.9.6
-Homepage: http://www.csie.ntu.edu.tw/~cjlin/liblinear/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/liblinear.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/liblinear.git
-X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.0
+    python-all (>= 2.6.6-3~),
+    python3-all,
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
+Homepage: https://www.csie.ntu.edu.tw/~cjlin/liblinear/
+Vcs-Git: https://salsa.debian.org/science-team/liblinear.git
+Vcs-Browser: https://salsa.debian.org/science-team/liblinear
 
 Package: liblinear-dev
 Section: libdevel
@@ -22,7 +22,7 @@
 Multi-Arch: same
 Depends:
     ${misc:Depends},
-    liblinear1 (= ${binary:Version}),
+    liblinear3 (= ${binary:Version}),
     libblas-dev | libblas.so
 Description: Development libraries and header files for LIBLINEAR
  LIBLINEAR is a library for learning linear classifiers for large scale
@@ -34,7 +34,7 @@
  .
  This package contains the header files and static libraries.
 
-Package: liblinear1
+Package: liblinear3
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -55,25 +55,6 @@
  .
  This package contains the shared libraries.
 
-Package: liblinear-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends:
-    ${misc:Depends},
-    liblinear1 (= ${binary:Version}),
-    liblinear-tools (= ${binary:Version})
-Description: Debugging symbols for LIBLINEAR
- LIBLINEAR is a library for learning linear classifiers for large scale
- applications. It supports Support Vector Machines (SVM) with L2 and L1
- loss, logistic regression, multi class classification and also Linear
- Programming Machines (L1-regularized SVMs). Its computational complexity
- scales linearly with the number of training examples making it one of
- the fastest SVM solvers around. It also provides Python bindings.
- .
- This package contains the debugging symbols.
-
 Package: liblinear-tools
 Section: science
 Architecture: any
@@ -81,7 +62,7 @@
 Depends:
     ${shlibs:Depends},
     ${misc:Depends},
-    liblinear1 (= ${binary:Version})
+    liblinear3 (= ${binary:Version})
 Suggests:
     libsvm-tools
 Description: Standalone applications for LIBLINEAR
@@ -100,8 +81,8 @@
 Depends:
     ${python:Depends},
     ${misc:Depends},
-    liblinear1 (>= ${binary:Version}),
-    liblinear1 (<< ${binary:Version}.1~)
+    liblinear3 (>= ${binary:Version}),
+    liblinear3 (<< ${binary:Version}.1~)
 Description: Python bindings for LIBLINEAR
  LIBLINEAR is a library for learning linear classifiers for large scale
  applications. It supports Support Vector Machines (SVM) with L2 and L1
@@ -118,8 +99,8 @@
 Depends:
     ${python3:Depends},
     ${misc:Depends},
-    liblinear1 (>= ${binary:Version}),
-    liblinear1 (<< ${binary:Version}.1~)
+    liblinear3 (>= ${binary:Version}),
+    liblinear3 (<< ${binary:Version}.1~)
 Description: Python 3 bindings for LIBLINEAR
  LIBLINEAR is a library for learning linear classifiers for large scale
  applications. It supports Support Vector Machines (SVM) with L2 and L1
