## liblinear 2.3.0%2Bdfsg

=== debian/changelog ===
liblinear (2.3.0+dfsg-5) UNRELEASED; urgency=medium

  * update

 -- Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>  Thu, 19 May 2022 10:16:22 +0800

liblinear (2.3.0+dfsg-5) unstable; urgency=medium

  * d/tests/control: Add python3-all to python3-simple's Depends:.
    (Closes: #972532)
  * Add myself to uploaders. 

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 22 Oct 2020 08:13:03 +1300

liblinear (2.3.0+dfsg-4) unstable; urgency=medium

  * Add autopkgtest for Python package
  * Add patch Merge-commonutil.py-into-liblinearutil.py.patch (Closes: #958641)
    - Add python3-liblinear.README.Debian documenting the merge
  * Bump Standards-Version to 4.5.0 (no changes needed)

 -- Christian Kastner <ckk@debian.org>  Sat, 02 May 2020 10:10:18 +0200

liblinear (2.3.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Packages in Debian Science team should be maintained by
    <debian-science-maintainers@lists.alioth.debian.org>
  * Drop Python2 package (addresses: #936889)
  * Rely on pre-initialized dpkg-architecture variables.

 -- Andreas Tille <tille@debian.org>  Sat, 21 Dec 2019 08:12:33 +0100

liblinear (2.3.0+dfsg-2) unstable; urgency=medium

  * gbp.conf: Drop upstream-tag remnant from earlier setup

 -- Christian Kastner <ckk@debian.org>  Thu, 31 Oct 2019 10:57:42 +0100

liblinear (2.3.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump SONAME from 3 to 4
      The new release contains backwards-incompatible changes to the API
    - Refresh manpages

  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)
  * d/copyright:
    - Improve DFSG note in Comments
    - Add Files-Excluded for generating DFSG-cleaned sources
    - Bump copyrights
  * d/rules:
    - Override_dh_missing for --fail-missing
    - Drop now superfluous get-orig-source target
  * Update symbols file
  * d/patches:
    - Add Bump-SONAME.patch
    - Refresh patch Improve-option-parsing.patch
    - Add patch Get-rid-of-bundled-BLAS.patch
  * d/watch: Add repacksuffix=+dfsg
  * Drop now superfluous d/source/lintian-overrides
  * gbp.conf: Get rid of "dfsg" branch; use "upstream" directly
  * Let dh_install install from debian/tmp, instead of source.
    Resolves a warning from dh_missing. Thanks, Niels Thykier, for the analysis and
    resolution!

 -- Christian Kastner <ckk@debian.org>  Tue, 22 Oct 2019 13:00:10 +0200
