=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: liblinear
 Section: libs
 Priority: optional
-Maintainer: Christian Kastner <ckk@debian.org>
-Uploaders: Chen-Tse Tsai <ctse.tsai@gmail.com>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Christian Kastner <ckk@debian.org>,
+           Chen-Tse Tsai <ctse.tsai@gmail.com>,
+           Michael Hudson-Doyle <mwhudson@debian.org>
 Build-Depends:
     debhelper-compat (= 12),
     libblas-dev
 Build-Depends-Indep:
     dh-python,
-    python-all (>= 2.6.6-3~),
     python3-all,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://www.csie.ntu.edu.tw/~cjlin/liblinear/
 Vcs-Git: https://salsa.debian.org/science-team/liblinear.git
 Vcs-Browser: https://salsa.debian.org/science-team/liblinear
@@ -22,7 +23,7 @@
 Multi-Arch: same
 Depends:
     ${misc:Depends},
-    liblinear3 (= ${binary:Version}),
+    liblinear4 (= ${binary:Version}),
     libblas-dev | libblas.so
 Description: Development libraries and header files for LIBLINEAR
  LIBLINEAR is a library for learning linear classifiers for large scale
@@ -34,7 +35,7 @@
  .
  This package contains the header files and static libraries.
 
-Package: liblinear3
+Package: liblinear4
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -62,7 +63,7 @@
 Depends:
     ${shlibs:Depends},
     ${misc:Depends},
-    liblinear3 (= ${binary:Version})
+    liblinear4 (= ${binary:Version})
 Suggests:
     libsvm-tools
 Description: Standalone applications for LIBLINEAR
@@ -75,32 +76,14 @@
  .
  This package contains the standalone applications.
 
-Package: python-liblinear
-Section: python
-Architecture: all
-Depends:
-    ${python:Depends},
-    ${misc:Depends},
-    liblinear3 (>= ${binary:Version}),
-    liblinear3 (<< ${binary:Version}.1~)
-Description: Python bindings for LIBLINEAR
- LIBLINEAR is a library for learning linear classifiers for large scale
- applications. It supports Support Vector Machines (SVM) with L2 and L1
- loss, logistic regression, multi class classification and also Linear
- Programming Machines (L1-regularized SVMs). Its computational complexity
- scales linearly with the number of training examples making it one of
- the fastest SVM solvers around. It also provides Python bindings.
- .
- This package contains the Python bindings.
-
 Package: python3-liblinear
 Section: python
 Architecture: all
 Depends:
     ${python3:Depends},
     ${misc:Depends},
-    liblinear3 (>= ${binary:Version}),
-    liblinear3 (<< ${binary:Version}.1~)
+    liblinear4 (>= ${binary:Version}),
+    liblinear4 (<< ${binary:Version}.1~)
 Description: Python 3 bindings for LIBLINEAR
  LIBLINEAR is a library for learning linear classifiers for large scale
  applications. It supports Support Vector Machines (SVM) with L2 and L1
